﻿using System;
using System.Net;
using System.Data;
using System.Linq;
using Microsoft.Data.SqlClient;
using System.Collections.Generic;
using Newtonsoft.Json.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNet.OData;
using Microsoft.AspNet.OData.Routing;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Internal;
using Microsoft.AspNet.OData.Query;

namespace SupAliAdminSite.Controllers.SupAliDb
{
    using Models;
    using Data;
    using Models.SupAliDb;
    [ODataRoutePrefix("odata/SupAliDB/SupaliCustodians")]
    [Route("mvc/odata/SupAliDB/SupaliCustodians")]
    public partial class SupaliCustodiansController : ODataController
    {
        [EnableQuery(MaxExpansionDepth = 10, MaxAnyAllExpressionDepth = 10, MaxNodeCount = 1000)]
        [HttpGet("{User_Name}")]
        public SingleResult<SupaliCustodian> GetSupaliCustodianByName(String key)
        {
            var items = this.context.SupaliCustodians.Where(i => i.AspNetUser_ID == key);
            this.OnSupaliCustodiansByNameGet(ref items);

            return SingleResult.Create(items);
        }

        partial void OnSupaliCustodiansByNameGet(ref IQueryable<Models.SupAliDb.SupaliCustodian> items);
    }
}
